## koffice 2.1.2

=== debian/changelog ===
koffice (1:2.1.2-0ubuntu1) lucid; urgency=low

  * New upstream release
  * debian/patches - removed as it contained 1 patch that was implemented
    upstream, kubuntu_01_fix_createresources_cmakelists.diff

 -- Richard A. Johnson <nixternal@ubuntu.com>  Mon, 29 Mar 2010 16:41:03 -0500

koffice (1:2.1.1-1ubuntu2) lucid; urgency=low

  * Make kspread recommend krosspython and krossruby (LP: #391829)
  * Remove .desktop file from kformula.install (LP: #527919)
  * A few nitpicky changes on the merge. Most re-arragning build-dep order

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Thu, 25 Feb 2010 18:35:20 -0500

koffice (1:2.1.1-1ubuntu1) lucid; urgency=low

  * Merge from Debian Experimental, remaining Ubuntu changes:
    - Add missing epoch to Qt build-depends version
    - Add libspnav-dev and libopenctl-dev to build-depends
  * Rename everything by removing -kde4 (ie. kword-kde4 is now kword)
    - Conflict with old -kde4 package
    - Replace with old -kde4 package
  * Bumped build-depends on libkdcraw7 to libkdcraw8
  * Added kubuntu_01_fix_createresources_cmakelists.diff to fix case typo.
    This can be dropped with the next upstream release, as it is fixed and
    backported upstream.
  * debian/koffice-doc-html.install - changed doc dir from kde4 to kde
  * Install KFormula as it is partially usable at this time.
  * Updated multiple .install files to add missing files
  * Bumped standards version to 3.8.4
  * Add quilt back to build deps to fix FTBFS

 -- Richard A. Johnson <nixternal@ubuntu.com>  Tue, 23 Feb 2010 16:54:30 -0600

koffice (1:2.1.1-1) experimental; urgency=low

  * New upstream release.
  * Update installed files, krita docs have been removed.
  * Improve package descriptions, thanks a lot to helix84. (Closes: #531452)
  * Update homepages per application.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 14 Jan 2010 10:33:19 +0100

koffice (1:2.1.0-1) experimental; urgency=low

  * New upstream release, KOffice 2.1.
  * Switch to 3.0 (quilt) source format.
  * Updated installed filed and lintian overrides.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Thu, 26 Nov 2009 00:47:41 +0100

koffice (1:2.1.0-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:02 +0000

koffice (1:2.1.0-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 08:59:56 +0000

koffice (1:2.1.0-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Update koffice-doc-html-kde4.install, kword-data-kde4.install and
    kplato-kde4.install

 -- Christian Mangold <neversfelde@ubuntu.com>  Sat, 21 Nov 2009 01:41:52 +0100

koffice (1:2.0.91-1ubuntu1~ppa12) karmic; urgency=low

  * Merge with Debian experimental, remaining changes:
    - Keep our *-kde4 packages
    - Build on libboost1.38-dev instead of libboost-dev
    - Add libspnav-dev and libopenctl-dev to build-deps
    - krita recommends spacenavd, update krita-kde4.install and
      krita-data-kde4.install
    - Install doc in /usr/share/kde instead of /usr/share/kde4,
      update koffice-doc-kde4.install and not-installed
    - koffice-libs-kde4 recommends latex-xft-fonts instead of ttf-lyx
    - Build-dep on libqt4-phonon-dev instead of libphonon-dev, change
      version to 4.5.3really4.5.2-0ubuntu1
    - koffice-doc-html-kde4 conflicts karbon
    - kpresenter-kde4 conflicts kpresenter-data
  * Remove build-dep quilt to avoid lintian warning, no patches
  * Update koffice-data-kde4.install with some icons
  * Update not-installed, we are not shipping kformula
  * krita-kde4 replaces krita-data-kde4 (<< 1:2.0.91-1ubuntu1)
  * kword-kde4 replaces kword-data-kde4 (<< 1:2.0.91-1ubuntu1)
  * kword-data-kde4 replaces kword-kde4 (<< 1:2.0.91-1ubuntu1)
  * koffice-libs-kde4 replaces karbon-kde4 (<< 1:2.0.91-1ubuntu1)
  * koffice-data-kde4 replaces replaces krita-kde4 (<< 1:2.0.91-1ubuntu1),
    krita-data-kde4 (<< 1:2.0.91-1ubuntu1), karbon-kde4 (<< 1:2.0.91-1ubuntu1)

 -- Christian Mangold <neversfelde@ubuntu.com>  Thu, 29 Oct 2009 17:02:54 +0100

koffice (1:2.0.91-1) experimental; urgency=low

  * New upstream release, KOffice 2.1 Release Candidate 1.
  * Update build depends:
   - Remove libgraphicsmagick1-dev, only older versions works for krita.
   - Add libpng12-dev, liblcms1-dev, libtiff4-dev, libjpeg62-dev. They were
     pulled by libgraphicsmagick1-dev before.
  * Update installed files. 
  * Update lintian overrides.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Mon, 26 Oct 2009 06:39:04 +0100

koffice (1:2.0.83-1) experimental; urgency=low

  * New upstream release, KOffice 2.1 third beta.

  +++ Changes by Pino Toscano:

  * Switch from the transitional latex-xft-fonts to ttf-lyx. (Closes: #539533)

  +++ Changes by Ana Beatriz Guerrero Lopez:
  
  * Add versioned build-depend on wv2 (>= 0.4.0).
  * Update installed files.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 12 Oct 2009 18:41:50 +0200

koffice (1:2.0.82-1) experimental; urgency=low

  * New upstream release, KOffice 2.1 second beta.
  * Remove disable_kformula patch, kformula dir has been removed.
  * Update installed files.
  * Add versioned build-depend on wv2 (>= 0.4.0).

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 23 Sep 2009 12:19:36 +0200

koffice (1:2.0.81-1) experimental; urgency=low

  * New upstream release, KDE 2.1 first beta. Do not release kformula yet on
    purpose (patch disable_kformula)
  * Update to Standards-Version 3.8.3, no changes required.
  * Update installed files.
  * Update not-installed file.
  * Update lintian overrides.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 02 Sep 2009 18:17:35 +0200

koffice2 (1:2.0.2-2ubuntu3) karmic; urgency=low

  * The koffice-doc-html-kde4 package conflicts karbon (LP: #453497)


