=== debian/control ===
Source: koffice
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Raúl Sánchez Siles <rasasi78@gmail.com>
Build-Depends: cdbs, debhelper (>= 7), quilt, cmake (>= 2.6.2), pkg-kde-tools (>= 0.4.1),
 kdepimlibs5-dev (>= 4:4.3.0), libkdcraw8-dev (>= 4:4.3.0), libphonon-dev (>= 4:4.3.0),
 libboost-dev (>= 1.40.0), libopenexr-dev, libeigen2-dev (>= 2.0~beta6),
 libqimageblitz-dev, libqca2-dev, libglew1.5-dev,
 libexiv2-dev, libpng12-dev, liblcms1-dev, libtiff4-dev, libjpeg62-dev, 
 libwv2-dev (>= 0.4.1), libmysqlclient-dev, libpoppler-qt4-dev, 
 libgsl0-dev, libwpd8-dev, libwpg-dev,
 libxslt1-dev, libqt4-opengl-dev (>= 4.6.0),
 pstoedit, libgmm++-dev, libspnav-dev, libopenctl-dev, create-resources, libqtgtl-dev
Standards-Version: 3.8.3
Homepage: http://www.koffice.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/koffice/ubuntu
Vcs-Bzr: https://code.launchpad.net/~kubuntu-members/koffice/ubuntu

Package: koffice
Architecture: all
Depends: karbon (>= ${source:Version}), kchart (>= ${source:Version}), kplato (>= ${source:Version}),
 kpresenter (>= ${source:Version}), krita (>= ${source:Version}), kspread (>= ${source:Version}),
 kword (>= ${source:Version}), kthesaurus (>= ${source:Version})
Suggests: koffice-doc-html (>= ${source:Version})
Conflicts: koffice-kde4
Replaces: koffice-kde4
Description: KDE Office Suite
 KOffice is an integrated office suite for KDE, the K Desktop
 Environment.  It offers a word processor, spreadsheet, presentation
 program, graphics tools and more.
 .
 This package provides all the components of KOffice.

Package: koffice-doc-html
Architecture: all
Section: doc
Suggests: konqueror | www-browser, koffice
Conflicts: koffice-doc-html-kde4
Replaces: koffice-doc-html-kde4
Description: KDE Office Suite documentation in HTML format
 KOffice is an integrated office suite for KDE, the K Desktop
 Environment.  It offers a word processor, spreadsheet, presentation
 program, graphics tools and more.
 .
 By default the KOffice applications only provide their documentation in
 KDE docbook format, which can only be read by Konqueror or KHelpCenter.
 This package provides all of the KOffice documentation converted to HTML
 format so it can be read with any web browser.
 .
 The documentation will be installed into the usual directories
 /usr/share/doc/kde/HTML/<language>/<app>/, for instance
 /usr/share/doc/kde/HTML/en/kword/.
 .
 This package is part of the KDE Office Suite.

Package: karbon
Architecture: any
Section: graphics
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
Replaces: kword (<< 1:2.0.2-1), karbon-kde4
Conflicts: kword (<< 1:2.0.2-1), karbon-kde4
Homepage: http://www.koffice.org/karbon/
Description: a vector graphics application for the KDE Office Suite
 Karbon is a vector drawing application with an user interface that is easy to
 use, highly customizable and extensible. That makes Karbon a great application
 for users starting to explore the world of vector graphics as well as for
 artists wanting to create breathtaking vector art. Features include:
  .
  * Loading support for ODG, SVG, WPG, WMF, EPS/PS
  * Writing support for ODG, SVG, PNG, PDF, WMF
  * Customizable user interface with freely placable toolbars and dockers
  * Layer docker for easy handling of complex documents including preview
    thumbnails, support for grouping shapes via drag and drop,
    controlling visibility of shapes or locking
  * Advanced path editing tool with great on-canvas editing capabilies
  * Various drawing tools for creating path shapes including a draw path
    tool, a pencil tool as well as a calligraphy drawing tool
  * Gradient and pattern tools for easy on-canvas editing of gradient and
    pattern styles
  * Top notch snapping facilities for guided drawing and editing (e.g.
    snapping to grid, guide lines, path nodes, bounding boxes, orthogonal
    positions, intersections of path shapes or extensions of lines and
    paths)
  * Includes many predefined shapes including basic shapes like stars,
    circle/ellipse, rectangle, image
  * Artistic text shape with support for following path outlines
    (i.e. text on path)
  * Complex path operations and effects like boolean set operations,
    path flattening, rounding and refining as well as whirl/pinch effects
  * Extensible by writing plugins for new tools, shapes and dockers
 .
 This package is part of the KDE Office Suite.

Package: kchart
Architecture: any
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Conflicts: kchart-kde4
Replaces: kchart-kde4
Description: chart drawing components for the KDE Office Suite
 KChart contains the kchart drawing components.  It can be used to embed 
 charts into KOffice documents. 
 .
 This package is part of the KDE Office Suite.
#Description: a chart drawing program for the KDE Office Suite
# KChart is a chart drawing application.  It can be used to embed charts
# into KOffice documents.  KChart is easy to use and highly configurable.
# .
# This package is part of the KDE Office Suite.


#Package: kexi
#Architecture: any
#Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
#Suggests: kexi-mdb-plugin
#Description: integrated database environment for the KDE Office Suite
# Kexi is an integrated data management application. It can be used for
# creating database schemas, inserting data, performing queries, and
# processing data. Forms can be created to provide a custom interface to
# your data. All database objects - tables, queries and forms - are stored
# in the database, making it easy to share data and design.
# .
# Kexi is considered as a long awaited Open Source competitor for MS Access,
# Filemaker and Oracle Forms. Its development is motivated by the lack of
# Rapid Application Development (RAD) tools for database systems that are
# sufficiently powerful, inexpensive, open standards driven and portable
# across many operating systems and hardware platforms.
# .
# This package is part of the KDE Office Suite.

Package: kformula
Architecture: any
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Description: formula drawings for the KDE Office Suite
 KFormula contains the formula drawing components.  It can be used to embed
 formulas into KOffice documents.
 .
 Features include easy Greek letter insertion, intelligent cursor
 movement, advanced syntax highlighting, multi-level undo support,
 LaTeX export and MathML import.
 .
 This package is part of the KDE Office Suite.
 KFormula is a formula editor that provides the basic input facilities
 and the support functionality expected of a KOffice application.
 .
 Features include easy Greek letter insertion, intelligent cursor
 movement, advanced syntax highlighting, multi-level undo support,
 LaTeX export and MathML import.
 .
 This package is part of the KDE Office Suite.

#Package: kivio
#Architecture: any
#Section: graphics
#Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
#Replaces: kivio-data (<< 1:1.9.90)
#Description: a flowcharting program for the KDE Office Suite
# Kivio is a flowcharting program that offers basic flowcharting abilities,
# but with a twist.  Objects are scriptable, and a backend plugin system
# offers the ability to make objects do just about anything.
# .
# This package is part of the KDE Office Suite.

Package: kplato
Architecture: any
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Conflicts: kplato-kde4
Replaces: kplato-kde4
Homepage: http://www.koffice.org/kplato/
Description: an integrated project management and planning tool
 KPlato is a project management application, allowing for the planning and
 scheduling of projects.
 .
 This package is part of the KDE Office Suite.


Package: kpresenter
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Conflicts: kpresenter-data-kde4, kpresenter-kde4
Replaces: kpresenter-data (<< 1:1.9.90), kpresenter-data-kde4, kpresenter-kde4
Homepage: http://www.koffice.org/kpresenter/
Description: a presentation program for the KDE Office Suite
 KPresenter is an easy to use yet still flexible presentation application. You
 can easily create presentations containing a rich variety of elements, from
 graphics to text, from charts to images. KPresenter is extensible through a
 plugin system, so it is easy to add new effects, new content elements or even
 new ways of managing your presentation.
 KPresenter natively uses the OpenDocument file format standard, for easy
 interchange with all ODF supporting applications which includes Microsoft
 Office. Some examples of easy-to-use features are support for layouts, a
 special slide overview view during presentations for the presenter, support
 for many different master sliders in one presentation, cool transitions and
 a useful notes feature.
 .
 This package is part of the KDE Office Suite.

Package: krita
Architecture: any
Depends: ${shlibs:Depends}, krita-data (>= ${source:Version}), koffice-libs (>= ${source:Version})
Recommends: dcraw
Suggests: khelpcenter4, koffice-doc-html
Conflicts: krita-data (<< 1:1.9.98.6), krita-data-kde4, krita-kde4
Replaces: krita-data (<< 1:1.9.98.6), krita-data-kde4, krita-kde4
Homepage: http://www.krita.org/
Description: a pixel-based image manipulation program for the KDE Office Suite
 Krita is a creative application for raster images. Whether you want to create
 from scratch or work with existing images, Krita is for you. You can work with
 photos, scanned images or start for a blank slate. Krita supports most graphics
 tablets out of the box.
 .
 Krita is different from other graphics design programs in that it has it has
 pluggable brush engines, some supporting brush resources like Gimp brush files,
 and other offering sophisticated simulation of real brushes, and others again
 offering deforming your image or mixing colors. Moreover, Krita has full support
 for graphics tablets, including features as pressure, tilt and rate, making it a
 great choice for artists. There are easy to use tools for drawing lines, ellipses
 and rectangles, and the freehand tool is supported by pluggable “drawing assistants”
 that help you draw shapes that still have a freehand feeling to them.
 .
 This package is part of the KDE Office Suite.

Package: krita-data
Architecture: all
Conflicts: krita (<<1:1.9.96.0~that.is.really.1.9.95.10-1), krita-data-kde4
Replaces: krita-data-kde4, krita-kde4
Homepage: http://www.krita.org/
Description: data files for Krita painting program
 This package contains architecture-independent data files for Krita,
 the painting program shipped with the KDE Office Suite.
 .
 See the krita package for further information.
 .
 This package is part of the KDE Office Suite.

Package: kspread
Architecture: any
Depends: ${shlibs:Depends}, koffice-libs (>= ${source:Version})
Recommends: krosspython, krossruby
Suggests: khelpcenter4, koffice-doc-html
Conflicts: kspread-kde4
Replaces: kspread-kde4
Homepage: http://www.koffice.org/kspread/
Description: a spreadsheet for the KDE Office Suite
 KSpread is a powerful spreadsheet application.  It is scriptable and
 provides both table-oriented sheets and support for complex mathematical
 formulae and statistics.
 .
 This package is part of the KDE Office Suite.

Package: kword
Architecture: any
Depends: ${shlibs:Depends}, kword-data (>= ${source:Version}), koffice-libs (>= ${source:Version})
Suggests: khelpcenter4, koffice-doc-html
Conflicts: kword-kde4
Replaces: kword-data (<< 1:2.0.91-1ubuntu1), kword-kde4
Homepage: http://www.koffice.org/kword/
Description: a word processor for the KDE Office Suite
