=== debian/changelog ===
koffice (2.2.0-0) unstable; urgency=high

  * Added missing dependency to control.

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 3 Mar 2010 08:59:41 +0200
