=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -30,6 +30,7 @@
 add_subdirectory( variables )
 add_subdirectory( defaultTools )
 add_subdirectory( pathshapes )
+add_subdirectory( chartshape )
 add_subdirectory( pictureshape )
 add_subdirectory( videoshape )
 add_subdirectory( textshape )
