=== debian/changelog ===
koffice (2.2.0-1) unstable; urgency=high

  * Added libs/main headers needed by Filter manager

 -- Lassi Nieminen <lassi.ta.nieminen@nokia.com>  Wed, 2 May 2010 08:59:41 +0200
